; BEEP.COM by Duane Paulson 07/23/91.
;  Sounds system beeper 2 times.
;  Created using comtemp.asm template by Chuck Nelson; (c) NELSOFT Software.
;  All rights reserved. Used by permission.
;  Comtemp.asm is included in The PC Assembler Helper and Tutor by
;  Chuck Nelson, downloadable as "PCTUTOR.xxx".

COMSEG  SEGMENT  PUBLIC  'CODE'

	ASSUME	cs:COMSEG, ds:COMSEG, es:COMSEG, ss:COMSEG

ORG	100h

main	proc	NEAR

	ALIGN 	BYTE

start:	mov	sp,OFFSET lastbyte
	mov	ah,4Ah		; Reallocate memory
	mov	bx,OFFSET lastbyte	; Number of bytes this program takes
	mov	cl,4		; Divide by 16 for number of paragraphs needed
	shr	bx,cl
	inc	bx		; Make sure last paragraph is included
	int	21h		; call dos

	mov 	ax,0E07h	; TTY output - ascii 7 (beep)
	mov	bh,0		; primary video page
	int	10h		; call bios
	int	10h		; call bios

	mov	ax,4C00h	; exit with 0 exit code
	int	21h		; call dos and exit

	db	8 dup ("STACK...")	; this is the stack space. Stack is not
				; explicitly declared in a TINY program
				; but starts at end of program segment
				; and grows toward end of program. Since
				; each PUSH takes up 2 bytes, there is
				; enough space here for 32 pushes.

lastbyte	equ	this byte	; this is used to figure out where
					; the program segment ends, so excess
					; memory can be released.

main	endp

COMSEG	ENDS

END	start
